| XMP Toolkit SDK 6.0.0

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
AdobeXMPCommon::IConfigurationManagerProxy Class Reference

`#include <IConfigurationManager.h>`

Inheritance diagram for AdobeXMPCommon::IConfigurationManagerProxy:

## Public Member Functions
| IConfigurationManagerProxy (pIConfigurationManager ptr)
| ~IConfigurationManagerProxy () __NOTHROW__
pIConfigurationManager APICALL | GetActualIConfigurationManager () __NOTHROW__
AdobeXMPCommon_Int::pISharedObject_I APICALL | GetISharedObject_I () __NOTHROW__
void APICALL | Acquire () const __NOTHROW__
void APICALL | Release () const __NOTHROW__
pvoid APICALL | GetInterfacePointer (uint64 interfaceID, uint32 interfaceVersion)
virtual bool APICALL | RegisterMemoryAllocator (pIMemoryAllocator memoryAllocator)
virtual bool APICALL | RegisterErrorNotifier (pIErrorNotifier_base clientErrorNotifier)
virtual bool APICALL | DisableMultiThreading ()
virtual bool APICALL | IsMultiThreaded () const

## Protected Member Functions
virtual uint32 APICALL | registerMemoryAllocator (pIMemoryAllocator_base memoryAllocator, pcIError_base &error) __NOTHROW__
virtual uint32 APICALL | registerErrorNotifier (pIErrorNotifier_base clientErrorNotifier, pcIError_base &error) __NOTHROW__
virtual uint32 APICALL | disableMultiThreading (pcIError_base &error) __NOTHROW__
virtual uint32 APICALL | isMultiThreaded (pcIError_base &error) const __NOTHROW__
pvoid APICALL | getInterfacePointer (uint64 interfaceID, uint32 interfaceVersion, pcIError_base &error) __NOTHROW__

## Private Attributes
pIConfigurationManager | mRawPtr

## Detailed Description

Definition at line 132 of file IConfigurationManager.h.

## Constructor & Destructor Documentation

## ◆ IConfigurationManagerProxy()

AdobeXMPCommon::IConfigurationManagerProxy::IConfigurationManagerProxy | ( | pIConfigurationManager | ptr | ) |
| inline

Definition at line 139 of file IConfigurationManager.h.

140 : mRawPtr( ptr )
141 {
142 mRawPtr->Acquire();
143 }

References mRawPtr.

## ◆ ~IConfigurationManagerProxy()

AdobeXMPCommon::IConfigurationManagerProxy::~IConfigurationManagerProxy | ( |  | ) |
| inline

Definition at line 145 of file IConfigurationManager.h.

145 { mRawPtr->Release(); }

References mRawPtr.

## Member Function Documentation

## ◆ Acquire()

void APICALL AdobeXMPCommon::IConfigurationManagerProxy::Acquire | ( |  | ) | const

## ◆ DisableMultiThreading()

virtual bool APICALL AdobeXMPCommon::IConfigurationManagerProxy::DisableMultiThreading | ( |  | ) |
| virtual

## ◆ disableMultiThreading()

virtual uint32 APICALL AdobeXMPCommon::IConfigurationManagerProxy::disableMultiThreading | ( | pcIError_base & | error | ) |
| protected virtual

## ◆ GetActualIConfigurationManager()

pIConfigurationManager APICALL AdobeXMPCommon::IConfigurationManagerProxy::GetActualIConfigurationManager | ( |  | ) |
| inline

Definition at line 146 of file IConfigurationManager.h.

146 { return mRawPtr; }

References mRawPtr.

## ◆ GetInterfacePointer()

pvoid APICALL AdobeXMPCommon::IConfigurationManagerProxy::GetInterfacePointer | ( | uint64 | interfaceID,
|  | uint32 | interfaceVersion
| ) |  |

## ◆ getInterfacePointer()

pvoid APICALL AdobeXMPCommon::IConfigurationManagerProxy::getInterfacePointer | ( | uint64 | interfaceID,
|  | uint32 | interfaceVersion,
|  | pcIError_base & | error
| ) |  |
| protected

## ◆ GetISharedObject_I()

AdobeXMPCommon_Int::pISharedObject_I APICALL AdobeXMPCommon::IConfigurationManagerProxy::GetISharedObject_I | ( |  | ) |
| inline

Definition at line 147 of file IConfigurationManager.h.

147 { return mRawPtr->GetISharedObject_I(); }

References mRawPtr.

## ◆ IsMultiThreaded()

virtual bool APICALL AdobeXMPCommon::IConfigurationManagerProxy::IsMultiThreaded | ( |  | ) | const
| virtual

## ◆ isMultiThreaded()

virtual uint32 APICALL AdobeXMPCommon::IConfigurationManagerProxy::isMultiThreaded | ( | pcIError_base & | error | ) | const
| protected virtual

## ◆ RegisterErrorNotifier()

virtual bool APICALL AdobeXMPCommon::IConfigurationManagerProxy::RegisterErrorNotifier | ( | pIErrorNotifier_base | clientErrorNotifier | ) |
| virtual

## ◆ registerErrorNotifier()

virtual uint32 APICALL AdobeXMPCommon::IConfigurationManagerProxy::registerErrorNotifier | ( | pIErrorNotifier_base | clientErrorNotifier,
|  | pcIError_base & | error
| ) |  |
| protected virtual

## ◆ RegisterMemoryAllocator()

virtual bool APICALL AdobeXMPCommon::IConfigurationManagerProxy::RegisterMemoryAllocator | ( | pIMemoryAllocator | memoryAllocator | ) |
| virtual

## ◆ registerMemoryAllocator()

virtual uint32 APICALL AdobeXMPCommon::IConfigurationManagerProxy::registerMemoryAllocator | ( | pIMemoryAllocator_base | memoryAllocator,
|  | pcIError_base & | error
| ) |  |
| protected virtual

## ◆ Release()

void APICALL AdobeXMPCommon::IConfigurationManagerProxy::Release | ( |  | ) | const

## Member Data Documentation

## ◆ mRawPtr

pIConfigurationManager AdobeXMPCommon::IConfigurationManagerProxy::mRawPtr
| private

Definition at line 136 of file IConfigurationManager.h.

Referenced by GetActualIConfigurationManager(), GetISharedObject_I(), IConfigurationManagerProxy(), and ~IConfigurationManagerProxy().

The documentation for this class was generated from the following file:

- public/include/XMPCommon/Interfaces/IConfigurationManager.h

AdobeXMPCommon::IConfigurationManagerProxy::mRawPtr
pIConfigurationManager mRawPtr
Definition: IConfigurationManager.h:136